## ros-rolling-tracetools-launch 4.0.0

=== debian/changelog ===
ros-rolling-tracetools-launch (4.0.0-1focal) focal; urgency=high

  * Disable kernel tracing by default
  * Don't require kernel tracer and detect when it's not installed
  * Add support for preloading pthread and dl instrumentation shared libs
  * Remove profile_fast option and consider LD_PRELOADing both libs
  * Improve event matching for shared lib preloading
  * Improve LdPreload action's lib-finding function and add proper tests
  * Fix multiple LdPreload actions not working and add test
  * Deprecate 'context_names' param and replace with 'context_fields'
  * Support per-domain context fields for the Trace action
  * Improve LdPreload.get_shared_lib_path() for when a static lib may exist
  * Move some tests from tracetools_launch to test_tracetools_launch
  * Expose Trace action as frontend action and support substitutions
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 20 Jan 2022 05:00:00 -0000

ros-rolling-tracetools-launch (2.1.0-1focal) focal; urgency=high

  * Allow configuring tracing directory through environment variables
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 13 Jan 2021 05:00:00 -0000

ros-rolling-tracetools-launch (1.0.1-1focal) focal; urgency=high

  * Deprecation fixes
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 27 May 2020 04:00:00 -0000

ros-rolling-tracetools-launch (1.0.0-1focal) focal; urgency=high

  * Document what kind of lib_name LdPreload expects
  * Add logs for LdPreload action on success or failure
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Fri, 24 Apr 2020 04:00:00 -0000

ros-rolling-tracetools-launch (0.3.0-1focal) focal; urgency=high

  * Add logs for trace action init and fini
  * Expose context enabling through CLI and Trace action
  * Extract LdPreload action from Trace action to support preloading any lib
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-rolling-tracetools-launch (0.2.12-1focal) focal; urgency=high

  * Use imperative mood in constructor docstring.
  * Contributors: Christophe Bedard, Steven! Ragnarök

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 09 Dec 2019 05:00:00 -0000

ros-rolling-tracetools-launch (0.2.11-1focal) focal; urgency=high

  * Register Python packages in the ament index
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 09 Dec 2019 05:00:00 -0000

ros-rolling-tracetools-launch (0.2.7-1focal) focal; urgency=high

  * Fix missing ament_xmllint dependency
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 09 Sep 2019 04:00:00 -0000

ros-rolling-tracetools-launch (0.2.5-1focal) focal; urgency=high

  * Check if OS is Windows when getting shared lib path
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 15 Aug 2019 04:00:00 -0000

ros-rolling-tracetools-launch (0.2.4-1focal) focal; urgency=high

  * Add LD_PRELOAD support for profiling in Trace action
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 14 Aug 2019 04:00:00 -0000

ros-rolling-tracetools-launch (0.2.3-1focal) focal; urgency=high

  * Add append_timestamp option for trace action
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 05 Aug 2019 04:00:00 -0000

ros-rolling-tracetools-launch (0.2.2-1focal) focal; urgency=high

  * Revert "Replace special character to fix encoding issue"
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-rolling-tracetools-launch (0.2.1-1focal) focal; urgency=high

  * Replace special character to fix encoding issue
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 31 Jul 2019 04:00:00 -0000

ros-rolling-tracetools-launch (0.1.0-1focal) focal; urgency=high

  * Add tracing integration into launch
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 11 Jul 2019 04:00:00 -0000
